## wpewebkit 2.42.4

=== debian/changelog ===
wpewebkit (2.42.4-1+rpi1) trixie-staging; urgency=medium

  * Disable webgl on armel too for raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 24 Dec 2023 11:19:01 +0000

wpewebkit (2.42.4-1) unstable; urgency=high

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Thu, 14 Dec 2023 16:43:01 +0100

wpewebkit (2.42.3-1) unstable; urgency=high

  * New upstream release.
  * Drop support for some arches that are unsupported or haven't worked in
    a long time: m68k, mips and mipsel.
  * debian/control.in:
    - Set the debhelper compatibility level to 13.
  * debian/rules:
    - Stop overriding dh_missing, no longer needed with dh compat 13.

 -- Alberto Garcia <berto@igalia.com>  Mon, 04 Dec 2023 19:55:50 +0100

wpewebkit (2.42.2-1) unstable; urgency=high

  * New upstream release.
  * Update copyright information of all files.
  * debian/patches/fix-ftbfs-m68k.patch:
    - Drop this patch, it hasn't worked in a long time.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.

 -- Alberto Garcia <berto@igalia.com>  Wed, 15 Nov 2023 13:18:46 +0100

wpewebkit (2.42.1-1) unstable; urgency=high

  * New upstream release.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.

 -- Alberto Garcia <berto@igalia.com>  Thu, 28 Sep 2023 11:04:41 +0200

wpewebkit (2.42.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * debian/control.in:
    - Add build dependency on libjxl-dev, JPEGXL is now enabled by
      default.
    - Remove the minimum versions of build dependencies in the cases where
      they are very old.
    - Require CMake 3.16.
  * Update copyright information of all files.
  * debian/libwpewebkit-1.0-3.symbols:
    - Update symbols.

 -- Alberto Garcia <berto@igalia.com>  Wed, 20 Sep 2023 16:50:08 +0200

wpewebkit (2.40.5-1) unstable; urgency=high

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Tue, 01 Aug 2023 23:50:40 +0300

wpewebkit (2.40.4-1) unstable; urgency=high

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Fri, 21 Jul 2023 11:59:25 +0200

wpewebkit (2.40.3-1) unstable; urgency=high

  * New upstream release.
  * debian/rules:
    - Use override_dh_install-indep when setting up the documentation.
  * debian/control.in:
    - Move jdupes to Build-Depends-Indep.
  * Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Thu, 29 Jun 2023 15:41:56 +0200

wpewebkit (2.40.2-2) unstable; urgency=medium

  * Replace the 2.0 API with the older 1.1 API.
    - Let's wait until all reverse dependencies are ready before making
      the switch to the 2.0 API in unstable (see #1037139).

 -- Alberto Garcia <berto@igalia.com>  Fri, 16 Jun 2023 16:38:10 +0200

wpewebkit (2.40.2-1) experimental; urgency=medium

  * New upstream release.
  * Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Sun, 04 Jun 2023 16:59:52 +0200

wpewebkit (2.40.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Wed, 19 Apr 2023 16:51:34 +0200

wpewebkit (2.40.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/rules:
    - Disable WebGL in armel and mipsel to work around a FTBFS caused by
      upstream bug #252670.

 -- Alberto Garcia <berto@igalia.com>  Wed, 22 Mar 2023 13:39:34 +0100

wpewebkit (2.39.91-1) experimental; urgency=medium

  * New upstream development release.
  * Refresh all patches.
  * debian/control.in:
    - Add build dependencies on libgstreamer-plugins-bad1.0-dev, unidef
      and libavif-dev.
  * debian/rules:
    - Build with -DDEBUG_FISSION=OFF since it adds the -gsplit-dwarf flag
      that is currently not supported by dh_dwz (see #1016936).
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * Update copyright information of all files.
  * Replace the 1.1 API build with the new 2.0 one.
    - Rename all packages from 1.1 -> 2.0.
    - Rename libwpewebkit-1.0-doc to libwpewebkit-doc.
  * debian/libwpewebkit-1.0-3.symbols:
    - Update symbols.

 -- Alberto Garcia <berto@igalia.com>  Sat, 11 Mar 2023 01:44:31 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT
Source: wpewebkit
Section: libs
Priority: optional
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Alberto Garcia <berto@igalia.com>
Build-Depends: debhelper-compat (= 13),
               bubblewrap [!alpha !ia64 !riscv64 !sh4 !sparc64],
               xdg-dbus-proxy [!alpha !ia64 !riscv64 !sh4 !sparc64],
               libseccomp-dev [!alpha !ia64 !riscv64 !sh4 !sparc64],
               cmake (>= 3.16),
               gperf,
               libatk-bridge2.0-dev,
               libatk1.0-dev,
               libavif-dev,
               libcairo2-dev,
               libepoxy-dev,
               libgbm-dev,
               libgcrypt20-dev,
               libgstreamer-plugins-bad1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
               libicu-dev,
               libjpeg-dev,
               libjxl-dev,
               liblcms2-dev,
               libopenjp2-7-dev,
               libsoup-3.0-dev,
               libsqlite3-dev,
               libsystemd-dev,
               libtasn1-6-dev,
               libwayland-dev,
               libwebp-dev,
               libwoff-dev,
               libwpe-1.0-dev,
               libwpebackend-fdo-1.0-dev,
               libxslt1-dev,
               ninja-build,
               ruby:native,
               unifdef,
               wayland-protocols
Build-Depends-Indep: gi-docgen, gobject-introspection, libgirepository1.0-dev, libglib2.0-doc, libsoup-3.0-doc, jdupes
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable
Homepage: https://wpewebkit.org/

Package: libwpewebkit-1.1-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libwpewebkit-1.1-0 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup-3.0-dev,
         libwpe-1.0-dev,
         ${misc:Depends}
Suggests: libwpewebkit-1.0-doc
Description: Web content engine for embedded devices - development files
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This build provides version 1.1 of the API and uses libsoup v3 for
 the networking stack.
 .
 This package contains the development files.

Package: libwpewebkit-1.1-0
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
         ${bwrap:Depends}
Suggests: libwpebackend-fdo-1.0-1
Description: Web content engine for embedded devices
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This build provides version 1.1 of the API and uses libsoup v3 for
 the networking stack.
 .
 This package contains the shared libraries.

Package: wpewebkit-driver
Architecture: linux-any
Section: web
Depends: ${driver:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: WPE WebKit WebDriver support
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This package provides the WebDriver service implementation.

Package: libwpewebkit-1.0-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: Web content engine for embedded devices - documentation
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

# soup2 build -> 1.0 API packages, soup3 build -> 1.1 API packages
USE_SOUP_VERSION=3

# Set to YES to use the docs from the tarball instead of generating them.
# Use only if gi-docgen is not available.
USE_PREBUILT_DOCS=NO

EXTRA_DH_ARGUMENTS =
EXTRA_CMAKE_ARGUMENTS = -DPORT=WPE \
	   -DCMAKE_INSTALL_LIBEXECDIR=lib/$(DEB_HOST_MULTIARCH) \
	   -DCMAKE_C_FLAGS_RELEASE="" \
	   -DCMAKE_C_FLAGS_DEBUG="" \
	   -DCMAKE_CXX_FLAGS_RELEASE="" \
	   -DCMAKE_CXX_FLAGS_DEBUG="" \
	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
	   -DENABLE_WPE_QT_API=OFF \
	   -DENABLE_MINIBROWSER=ON
DH_GENCONTROL_ARGS =

ifeq ($(USE_SOUP_VERSION),2)
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SOUP2=ON
	WK_API_VERSION = 1.0
	LIBWPEWEBKIT_PKG = libwpewebkit-1.0-3
	SOUPDEV_PKG = libsoup2.4-dev
	USE_PREBUILT_DOCS=YES
else
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SOUP2=OFF -DENABLE_WPE_1_1_API=ON
	WK_API_VERSION = 1.1
	LIBWPEWEBKIT_PKG = libwpewebkit-1.1-0
	SOUPDEV_PKG = libsoup-3.0-dev
endif

# Sacrifice speed in order to make it more likely resource limits
# won't be hit.
ifeq ($(DEB_BUILD_ARCH_BITS),32)
	EXTRA_CMAKE_ARGUMENTS += -DFORCE_32BIT=ON
	LDFLAGS += -Wl,--no-keep-memory
endif

# The debug packages produced by webkit are huge and cause problems in
# most buildds. Use -g1 in all architectures to make them smaller.
CFLAGS := $(CFLAGS:-g=-g1)

# Don't build with -gsplit-dwarf (see #1016936)
EXTRA_CMAKE_ARGUMENTS += -DDEBUG_FISSION=OFF

# Use the CLoop Javascript interpreter and disable the JIT. This is
# slow but it is the most compatible solution for old (non-SSE2) CPUs.
ifneq (,$(filter $(DEB_HOST_ARCH),i386))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JIT=OFF -DENABLE_C_LOOP=ON
endif

# https://bugs.webkit.org/show_bug.cgi?id=252670
ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf powerpc))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_WEBGL=OFF
endif

# See https://bugs.webkit.org/show_bug.cgi?id=197192
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
	EXTRA_CMAKE_ARGUMENTS += -DWTF_CPU_ARM64_CORTEXA53=OFF
endif

# Disable Gold where it causes build problems, see #949618
ifneq (,$(filter $(DEB_HOST_ARCH),powerpc))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_LD_GOLD=OFF
endif

# Lower memory requirements on architectures with only 2 GB address space
ifneq (,$(filter $(DEB_HOST_ARCH),sh4))
	CFLAGS := $(CFLAGS:-g1=-g0)
	CFLAGS := $(CFLAGS:-O2=-Os)
	CPPFLAGS += --param ggc-min-expand=10
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_UNIFIED_BUILDS=OFF
endif

# See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93876
# and: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93877
ifneq (,$(filter $(DEB_HOST_ARCH),sh3 sh4))
	CFLAGS := $(CFLAGS:-O2=-O1)
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSTEM_MALLOC=ON
	CPPFLAGS += -DRELEASE_WITHOUT_OPTIMIZATIONS
endif

ifeq (,$(filter %-doc,$(shell dh_listpackages)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
	USE_PREBUILT_DOCS=NO
else ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
	USE_PREBUILT_DOCS=NO
else ifeq ($(USE_PREBUILT_DOCS),YES)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=ON
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Debug
else
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Release
	CPPFLAGS += -DNDEBUG -DG_DISABLE_CAST_CHECKS
endif

# Disable the bubblewrap sandbox if libseccomp-dev is not available
ifeq ($(shell pkg-config --exists libseccomp && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), xdg-dbus-proxy"
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
endif

# Lower max parallel jobs on some of Ubuntu's builders
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
	EXTRA_DH_ARGUMENTS += --max-parallel=2
endif
endif

CXXFLAGS=$(CFLAGS)

# The debhelper files for the soup2 and soup3 builds are identical
# (apart from the API version) so we generate the latter from the former.
WEBKIT_DH_FILES = \
	libwpewebkit-1.0-3.docs \
	libwpewebkit-1.0-3.install \
	libwpewebkit-1.0-3.lintian-overrides \
	libwpewebkit-1.0-3.symbols \
	libwpewebkit-1.0-dev.install

# This converts debhelper file names and contents to the soup3 versions
WEBKIT_DH_RENAME = sed -e 's/1\.0-3/1.1-0/g' \
		       -e 's/1\.0\.so\.3/1.1.so.0/g' \
		       -e 's/1\.0/1.1/g'

debian/control: debian/control.in debian/rules
	echo '# This file is autogenerated. DO NOT EDIT' > debian/control
	cat debian/control.in | \
		sed -e 's/@SOUPDEV_PKG@/$(SOUPDEV_PKG)/g' \
		    -e 's/@WK_API_VERSION@/$(WK_API_VERSION)/g' \
		    -e 's/@LIBWPEWEBKIT_PKG@/$(LIBWPEWEBKIT_PKG)/g' \
		    -e 's/@SOUP_VERSION@/$(USE_SOUP_VERSION)/g' \
		>> debian/control
ifeq ($(USE_PREBUILT_DOCS),YES)
	sed -i -e 's/^\(Build-Depends-Indep:\)/# \1/' debian/control
endif

%:
	dh $@ --buildsystem=cmake+ninja $(EXTRA_DH_ARGUMENTS)

override_dh_gencontrol:
	dh_gencontrol -- $(DH_GENCONTROL_ARGS)

override_dh_auto_configure:
	if [ "$(USE_SOUP_VERSION)" = "3" ]; then \
		echo debian/clean > debian/clean ; \
		for src in $(WEBKIT_DH_FILES); do \
			dst=`echo $$src | $(WEBKIT_DH_RENAME)` ; \
			$(WEBKIT_DH_RENAME) debian/$$src > debian/$$dst ; \
			echo debian/$$dst >> debian/clean ; \
		done ; \
	fi
	dh_auto_configure -- $(EXTRA_CMAKE_ARGUMENTS)

override_dh_auto_clean: debian/control
	dh_auto_clean
	find Source Tools -type f -name "*.pyc" -exec rm {} \;
	find Source Tools -depth -type d -name __pycache__ -exec rmdir {} \;

# If USE_PREBUILT_DOCS=YES then install them. Otherwise create dummy
# doc directories in case the "nodoc" build option is set.
override_dh_install-indep:
ifeq ($(USE_PREBUILT_DOCS),YES)
	mkdir -p debian/tmp/usr/share/gtk-doc/html
	cp -r Documentation/wpe-webkit-2.0 debian/tmp/usr/share/gtk-doc/html/wpe-webkit-1.1
	cp -r Documentation/wpe-web-process-extension-2.0 debian/tmp/usr/share/gtk-doc/html/wpe-web-extension-1.1
	cp -r Documentation/wpe-javascriptcore-2.0 debian/tmp/usr/share/gtk-doc/html/wpe-javascriptcore-1.1
else
	mkdir -p debian/tmp/usr/share/gtk-doc/html/wpe-webkit-1.1
	touch debian/tmp/usr/share/gtk-doc/html/wpe-webkit-1.1/index.html
	mkdir -p debian/tmp/usr/share/gtk-doc/html/wpe-web-extension-1.1
	touch debian/tmp/usr/share/gtk-doc/html/wpe-web-extension-1.1/index.html
	mkdir -p debian/tmp/usr/share/gtk-doc/html/wpe-javascriptcore-1.1
	touch debian/tmp/usr/share/gtk-doc/html/wpe-javascriptcore-1.1/index.html
endif
	dh_install -i
	jdupes -rl debian/libwpewebkit-1.0-doc/usr

override_dh_shlibdeps:
	dh_shlibdeps -XMiniBrowser

override_dh_builddeb:
	DEB_BUILD_OPTIONS="$(filter-out parallel=%,$(DEB_BUILD_OPTIONS))" \
		dh_builddeb

override_dh_auto_test:

## wpewebkit 2.44.1

=== Tools/MiniBrowser/wpe/CMakeLists.txt ===
set(MiniBrowser_SOURCES
    main.cpp
)

set(MiniBrowser_PRIVATE_INCLUDE_DIRECTORIES
    ${CMAKE_BINARY_DIR}
    ${DERIVED_SOURCES_WPE_API_DIR}
    ${FORWARDING_HEADERS_WPE_DIR}
    ${JavaScriptCoreGLib_DERIVED_SOURCES_DIR}
    ${JavaScriptCoreGLib_FRAMEWORK_HEADERS_DIR}
)

set(MiniBrowser_SYSTEM_INCLUDE_DIRECTORIES
    ${GLIB_INCLUDE_DIRS}
    ${LIBSOUP_INCLUDE_DIRS}
    ${WPEBACKEND_FDO_INCLUDE_DIRS}
)

set(MiniBrowser_PRIVATE_LIBRARIES
    ${JavaScriptCore_LIBRARY_NAME}
    ${WPEBACKEND_FDO_LIBRARIES}
    WPE::libwpe
    WebKit::WPEToolingBackends
    WebKit::WebKit
)

if (USE_ATK)
    list(APPEND MiniBrowser_SYSTEM_INCLUDE_DIRECTORIES
        ${ATK_INCLUDE_DIRS}
    )

    list(APPEND MiniBrowser_PRIVATE_LIBRARIES
        ${ATK_LIBRARIES}
    )
endif ()

if (ENABLE_WPE_PLATFORM)
    list(APPEND MiniBrowser_PRIVATE_INCLUDE_DIRECTORIES
        ${WPEPlatform_DERIVED_SOURCES_DIR}
        ${WEBKIT_DIR}/WPEPlatform
    )

    list(APPEND MiniBrowser_PRIVATE_LIBRARIES
        WPEPlatform-${WPE_API_VERSION}
    )
endif ()

if (NOT USE_GSTREAMER_FULL)
  list(APPEND MiniBrowser_PRIVATE_INCLUDE_DIRECTORIES ${GSTREAMER_INCLUDE_DIRS})
  list(APPEND MiniBrowser_PRIVATE_LIBRARIES ${GSTREAMER_LIBRARIES})
endif ()

if (DEVELOPER_MODE)
    list(APPEND MiniBrowser_PRIVATE_DEFINITIONS WEBKIT_INJECTED_BUNDLE_PATH="${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")
endif ()

WEBKIT_EXECUTABLE_DECLARE(MiniBrowser)
WEBKIT_EXECUTABLE(MiniBrowser)

install(TARGETS MiniBrowser DESTINATION "${LIBEXEC_INSTALL_DIR}")

if (ENABLE_WPE_QT_API)
    add_subdirectory(qt)
endif ()

=== Tools/wpe/backends/CMakeLists.txt ===
set(WPEToolingBackends_LIBRARY_TYPE STATIC)
set(WPEToolingBackends_DERIVED_SOURCES_DIR "${CMAKE_BINARY_DIR}/WPEToolingBackends/DerivedSources")
set(WPEToolingBackends_FRAMEWORK_HEADERS_DIR "${CMAKE_BINARY_DIR}/WPEToolingBackends/Headers")

file(MAKE_DIRECTORY ${WPEToolingBackends_DERIVED_SOURCES_DIR})

set(WPEToolingBackends_PUBLIC_HEADERS
    HeadlessViewBackend.h
    ViewBackend.h
)

set(WPEToolingBackends_SOURCES
    HeadlessViewBackend.cpp
    ViewBackend.cpp
)

set(WPEToolingBackends_PRIVATE_INCLUDE_DIRECTORIES
    ${WPEToolingBackends_DERIVED_SOURCES_DIR}
    ${TOOLS_DIR}/wpe/backends
)

set(WPEToolingBackends_LIBRARIES
    WPE::libwpe
)

if (USE_CAIRO)
    list(APPEND WPEToolingBackends_LIBRARIES Cairo::Cairo)
    list(APPEND WPEToolingBackends_DEFINITIONS USE_CAIRO=1)
endif ()

set(WPEToolingBackends_INTERFACE_LIBRARIES WPEToolingBackends)
set(WPEToolingBackends_INTERFACE_INCLUDE_DIRECTORIES ${WPEToolingBackends_FRAMEWORK_HEADERS_DIR})
set(WPEToolingBackends_INTERFACE_DEPENDENCIES WPEToolingBackends_CopyHeaders)

WEBKIT_LIBRARY_DECLARE(WPEToolingBackends)
WEBKIT_INCLUDE_CONFIG_FILES_IF_EXISTS()

WEBKIT_COPY_FILES(WPEToolingBackends_CopyHeaders
    DESTINATION ${WPEToolingBackends_FRAMEWORK_HEADERS_DIR}/WPEToolingBackends
    FILES ${WPEToolingBackends_PUBLIC_HEADERS}
    FLATTENED
)

WEBKIT_LIBRARY(WPEToolingBackends)

=== Source/WebKit/WPEPlatform/wpe/drm/CMakeLists.txt ===
configure_file(wpe-platform-drm.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-drm-${WPE_API_VERSION}.pc @ONLY)
configure_file(wpe-platform-drm-uninstalled.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-drm-${WPE_API_VERSION}-uninstalled.pc @ONLY)

set(WPEPlatformDRM_SOURCES
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDRM.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDRMCursor.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDRMCursorTheme.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDRMSeat.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDRMSession.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDRMSessionLogind.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDisplayDRM.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEViewDRM.cpp
)

set(WPEPlatformDRM_INSTALLED_HEADERS
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/wpe-drm.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEDisplayDRM.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/drm/WPEViewDRM.h
)

set(WPEPlatformDRM_PRIVATE_INCLUDE_DIRECTORIES
    "${WPEPlatform_PRIVATE_INCLUDE_DIRECTORIES}"
    "${WEBKIT_DIR}/WPEPlatform/wpe/drm"
)

set(WPEPlatformDRM_SYSTEM_INCLUDE_DIRECTORIES
    ${GIO_UNIX_INCLUDE_DIRS}
    ${WPEPlatform_SYSTEM_INCLUDE_DIRECTORIES}
)

set(WPEPlatformDRM_LIBRARIES
    LibInput::LibInput
    Udev::Udev
    ${GIO_UNIX_LIBRARIES}
)

if (ENABLE_JOURNALD_LOG)
    list(APPEND WPEPlatformDRM_LIBRARIES Journald::Journald)
endif ()

set(WPEPlatformDRM_SOURCES_FOR_INTROSPECTION
    ${WPEPlatformDRM_INSTALLED_HEADERS}
    ${WPEPlatformDRM_SOURCES}
)

add_library(WPEPlatformDRM OBJECT ${WPEPlatformDRM_SOURCES})
add_dependencies(WPEPlatformDRM WPEPlatformGeneratedEnumTypesHeader)
target_include_directories(WPEPlatformDRM PRIVATE ${WPEPlatformDRM_PRIVATE_INCLUDE_DIRECTORIES})
target_include_directories(WPEPlatformDRM SYSTEM PRIVATE ${WPEPlatformDRM_SYSTEM_INCLUDE_DIRECTORIES})
target_link_libraries(WPEPlatformDRM ${WPEPlatform_LIBRARIES} ${WPEPlatformDRM_LIBRARIES})

set_target_properties(WPEPlatformDRM PROPERTIES
    SOURCES_FOR_INTROSPECTION "${WPEPlatformDRM_SOURCES_FOR_INTROSPECTION}"
)

install(FILES "${CMAKE_BINARY_DIR}/wpe-platform-drm-${WPE_API_VERSION}.pc"
        DESTINATION "${LIB_INSTALL_DIR}/pkgconfig"
        COMPONENT "Development"
)

install(FILES ${WPEPlatformDRM_INSTALLED_HEADERS}
        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/wpe-webkit-${WPE_API_VERSION}/wpe-platform/wpe/drm"
        COMPONENT "Development"
)

=== Source/WebKit/WPEPlatform/wpe/headless/CMakeLists.txt ===
configure_file(wpe-platform-headless.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-headless-${WPE_API_VERSION}.pc @ONLY)
configure_file(wpe-platform-headless-uninstalled.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-headless-${WPE_API_VERSION}-uninstalled.pc @ONLY)

set(WPEPlatformHeadless_SOURCES
    ${WEBKIT_DIR}/WPEPlatform/wpe/headless/WPEDisplayHeadless.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/headless/WPEViewHeadless.cpp
)

set(WPEPlatformHeadless_INSTALLED_HEADERS
    ${WEBKIT_DIR}/WPEPlatform/wpe/headless/wpe-headless.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/headless/WPEDisplayHeadless.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/headless/WPEViewHeadless.h
)

set(WPEPlatformHeadless_PRIVATE_INCLUDE_DIRECTORIES
    "${WPEPlatform_PRIVATE_INCLUDE_DIRECTORIES}"
    "${WEBKIT_DIR}/WPEPlatform/wpe/headless"
)

set(WPEPlatformHeadless_SOURCES_FOR_INTROSPECTION
    ${WPEPlatformHeadless_INSTALLED_HEADERS}
    ${WPEPlatformHeadless_SOURCES}
)

add_library(WPEPlatformHeadless OBJECT ${WPEPlatformHeadless_SOURCES})
add_dependencies(WPEPlatformHeadless WPEPlatformGeneratedEnumTypesHeader)
target_include_directories(WPEPlatformHeadless PRIVATE ${WPEPlatformHeadless_PRIVATE_INCLUDE_DIRECTORIES})
target_include_directories(WPEPlatformHeadless SYSTEM PRIVATE ${WPEPlatform_SYSTEM_INCLUDE_DIRECTORIES})
target_link_libraries(WPEPlatformHeadless ${WPEPlatform_LIBRARIES})

set_target_properties(WPEPlatformHeadless PROPERTIES
    SOURCES_FOR_INTROSPECTION "${WPEPlatformHeadless_SOURCES_FOR_INTROSPECTION}"
)

install(FILES "${CMAKE_BINARY_DIR}/wpe-platform-headless-${WPE_API_VERSION}.pc"
        DESTINATION "${LIB_INSTALL_DIR}/pkgconfig"
        COMPONENT "Development"
)

install(FILES ${WPEPlatformHeadless_INSTALLED_HEADERS}
        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/wpe-webkit-${WPE_API_VERSION}/wpe-platform/wpe/headless"
        COMPONENT "Development"
)

=== Source/WebKit/WPEPlatform/wpe/wayland/CMakeLists.txt ===
file(MAKE_DIRECTORY ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland)

configure_file(wpe-platform-wayland.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-wayland-${WPE_API_VERSION}.pc @ONLY)
configure_file(wpe-platform-wayland-uninstalled.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-wayland-${WPE_API_VERSION}-uninstalled.pc @ONLY)

set(WPEPlatformWayland_SOURCES
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEDisplayWayland.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEMonitorWayland.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEViewWayland.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEWaylandCursor.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEWaylandCursorTheme.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEWaylandSHMPool.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEWaylandSeat.cpp
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-protocol.c
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-protocol.c
)

set(WPEPlatformWayland_INSTALLED_HEADERS
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/wpe-wayland.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEDisplayWayland.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEViewWayland.h
)

set(WPEPlatformWayland_PRIVATE_INCLUDE_DIRECTORIES
    "${WPEPlatform_PRIVATE_INCLUDE_DIRECTORIES}"
    "${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland"
    "${WEBKIT_DIR}/WPEPlatform/wpe/wayland"
)

set(WPEPlatformWayland_SYSTEM_INCLUDE_DIRECTORIES
    ${WAYLAND_INCLUDE_DIRS}
    ${WPEPlatform_SYSTEM_INCLUDE_DIRECTORIES}
)

set(WPEPlatformWayland_LIBRARIES
    ${WAYLAND_LIBRARIES}
    ${WPEPlatform_LIBRARIES}
)

set(WPEPlatformWayland_SOURCES_FOR_INTROSPECTION
    ${WPEPlatformWayland_INSTALLED_HEADERS}
    ${WPEPlatformWayland_SOURCES}
)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-client-protocol.h
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-client-protocol.h
    VERBATIM)

add_library(WPEPlatformWayland OBJECT ${WPEPlatformWayland_SOURCES})
add_dependencies(WPEPlatformWayland WPEPlatformGeneratedEnumTypesHeader)
target_include_directories(WPEPlatformWayland PRIVATE ${WPEPlatformWayland_PRIVATE_INCLUDE_DIRECTORIES})
target_include_directories(WPEPlatformWayland SYSTEM PRIVATE ${WPEPlatformWayland_SYSTEM_INCLUDE_DIRECTORIES})
target_link_libraries(WPEPlatformWayland ${WPEPlatformWayland_LIBRARIES})

set_target_properties(WPEPlatformWayland PROPERTIES
    SOURCES_FOR_INTROSPECTION "${WPEPlatformWayland_SOURCES_FOR_INTROSPECTION}"
)

install(FILES "${CMAKE_BINARY_DIR}/wpe-platform-wayland-${WPE_API_VERSION}.pc"
        DESTINATION "${LIB_INSTALL_DIR}/pkgconfig"
        COMPONENT "Development"
)

install(FILES ${WPEPlatformWayland_INSTALLED_HEADERS}
        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/wpe-webkit-${WPE_API_VERSION}/wpe-platform/wpe/wayland"
        COMPONENT "Development"
)

=== debian/changelog ===
wpewebkit (2.44.1-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2024-0002 lists the following
    security fixes in the latest versions of WPE WebKit:
    - CVE-2024-23252, CVE-2024-23254, CVE-2024-23263, CVE-2024-23280,
      CVE-2024-23284, CVE-2023-42950, CVE-2023-42956, CVE-2023-42843
      (fixed in 2.44.0).
  * Refresh all patches.
  * debian/rules:
    - Stop setting USE_LD_GOLD, it has been removed upstream so it no
      longer has any effect (see webkit bug #235476).
    - Unify the sh3 and sh4 build flags.
    - Don't copy CFLAGS to CXXFLAGS: -Werror=implicit-function-declaration
      (default since dpkg 1.22.6) causes a FTBFS when added to the latter
      (see #1066411).
    - Stop using -DENABLE_WEBGL=OFF on armel and powerpc.
    - Build with -DUSE_LIBBACKTRACE=OFF.
  * debian/control:
    - Enable the bubblewrap sandbox only in the architectures where
      libseccomp is working.
  * debian/patches/fix-ftbfs-riscv64.patch:
    - Treat riscv64 as an unknown CPU to fix a FTBFS in JavaScriptCore
      (webkit bug #271371).
  * debian/patches/fix-ftbfs-i386.patch:
    - Drop this patch, it is included in this release.
  * debian/debian/libwpewebkit-doc.*
    - Update debhelper scripts to reflect the upstream changes of the
      installation paths.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Thu, 11 Apr 2024 15:35:46 +0200

wpewebkit (2.42.5-2~exp) experimental; urgency=medium

  * Replace the 1.1 API build with the 2.0 one.
    - Rename all packages from 1.1 -> 2.0.
    - Rename libwpewebkit-1.0-doc to libwpewebkit-doc and add a
      transitional package.
    - Simplify debian/rules to only allow building the 2.0 API packages.

 -- Alberto Garcia <berto@igalia.com>  Mon, 04 Mar 2024 13:32:41 +0100

wpewebkit (2.42.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063223

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 09:23:10 +0000

wpewebkit (2.42.5-1) unstable; urgency=high

  * New upstream release.
  * Update copyright information of all files.
  * debian/patches/fix-ftbfs-i386.patch:
    - i386 build fix.

 -- Alberto Garcia <berto@igalia.com>  Mon, 05 Feb 2024 17:36:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
-# This file is autogenerated. DO NOT EDIT
 Source: wpewebkit
 Section: libs
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper-compat (= 13),
-               bubblewrap [!alpha !ia64 !riscv64 !sh4 !sparc64],
-               xdg-dbus-proxy [!alpha !ia64 !riscv64 !sh4 !sparc64],
-               libseccomp-dev [!alpha !ia64 !riscv64 !sh4 !sparc64],
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+               bubblewrap [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
+               xdg-dbus-proxy [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
+               libseccomp-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
                cmake (>= 3.16),
                gperf,
                libatk-bridge2.0-dev,
@@ -47,16 +46,16 @@
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable
 Homepage: https://wpewebkit.org/
 
-Package: libwpewebkit-1.1-dev
+Package: libwpewebkit-2.0-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libwpewebkit-1.1-0 (= ${binary:Version}),
+Depends: libwpewebkit-2.0-1 (= ${binary:Version}),
          libglib2.0-dev,
          libsoup-3.0-dev,
          libwpe-1.0-dev,
          ${misc:Depends}
-Suggests: libwpewebkit-1.0-doc
+Suggests: libwpewebkit-doc
 Description: Web content engine for embedded devices - development files
  WebKit is a modern web engine that is able to display content such as
  HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
@@ -68,12 +67,12 @@
  hardware acceleration in mind, leveraging common 3D graphics APIs for
  best performance.
  .
- This build provides version 1.1 of the API and uses libsoup v3 for
+ This build provides version 2.0 of the API and uses libsoup v3 for
  the networking stack.
  .
  This package contains the development files.
 
-Package: libwpewebkit-1.1-0
+Package: libwpewebkit-2.0-1
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -90,7 +89,7 @@
  hardware acceleration in mind, leveraging common 3D graphics APIs for
  best performance.
  .
- This build provides version 1.1 of the API and uses libsoup v3 for
+ This build provides version 2.0 of the API and uses libsoup v3 for
  the networking stack.
  .
  This package contains the shared libraries.
@@ -98,7 +97,7 @@
 Package: wpewebkit-driver
 Architecture: linux-any
 Section: web
-Depends: ${driver:Depends},
+Depends: libwpewebkit-2.0-1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: WPE WebKit WebDriver support
@@ -114,12 +113,14 @@
  .
  This package provides the WebDriver service implementation.
 
-Package: libwpewebkit-1.0-doc
+Package: libwpewebkit-doc
 Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: libwpewebkit-1.0-doc (<< 2.42.5-2~)
+Replaces: libwpewebkit-1.0-doc (<< 2.42.5-2~)
 Suggests: devhelp
 Description: Web content engine for embedded devices - documentation
  WebKit is a modern web engine that is able to display content such as
@@ -133,3 +134,12 @@
  best performance.
  .
  This package contains the documentation.
+
+Package: libwpewebkit-1.0-doc
+Build-Profiles: <!nodoc>
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: libwpewebkit-doc, ${misc:Depends}
+Description: Transitional dummy package
+ This is a transitional dummy package, it can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

EXTRA_DH_ARGUMENTS =
EXTRA_CMAKE_ARGUMENTS = -DPORT=WPE \
	   -DCMAKE_INSTALL_LIBEXECDIR=lib/$(DEB_HOST_MULTIARCH) \
	   -DCMAKE_C_FLAGS_RELEASE="" \
	   -DCMAKE_C_FLAGS_DEBUG="" \
	   -DCMAKE_CXX_FLAGS_RELEASE="" \
	   -DCMAKE_CXX_FLAGS_DEBUG="" \
	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
	   -DENABLE_WPE_QT_API=OFF \
	   -DUSE_LIBBACKTRACE=OFF \
	   -DENABLE_MINIBROWSER=ON
DH_GENCONTROL_ARGS =

# Sacrifice speed in order to make it more likely resource limits
# won't be hit.
ifeq ($(DEB_BUILD_ARCH_BITS),32)
	EXTRA_CMAKE_ARGUMENTS += -DFORCE_32BIT=ON
	LDFLAGS += -Wl,--no-keep-memory
endif

# The debug packages produced by webkit are huge and cause problems in
# most buildds. Use -g1 in all architectures to make them smaller.
CFLAGS := $(CFLAGS:-g=-g1)
CXXFLAGS := $(CXXFLAGS:-g=-g1)

# Don't build with -gsplit-dwarf (see #1016936)
EXTRA_CMAKE_ARGUMENTS += -DDEBUG_FISSION=OFF

# Use the CLoop Javascript interpreter and disable the JIT. This is
# slow but it is the most compatible solution for old (non-SSE2) CPUs.
ifneq (,$(filter $(DEB_HOST_ARCH),i386))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JIT=OFF -DENABLE_C_LOOP=ON
endif

# See https://bugs.webkit.org/show_bug.cgi?id=197192
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
	EXTRA_CMAKE_ARGUMENTS += -DWTF_CPU_ARM64_CORTEXA53=OFF
endif

# See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93876
# and: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93877
ifneq (,$(filter $(DEB_HOST_ARCH),sh3 sh4))
	CFLAGS := $(CFLAGS:-g1=-g0)
	CFLAGS := $(CFLAGS:-O2=-O1)
	CXXFLAGS := $(CXXFLAGS:-g1=-g0)
	CXXFLAGS := $(CXXFLAGS:-O2=-O1)
	CPPFLAGS += --param ggc-min-expand=10
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSTEM_MALLOC=ON
	CPPFLAGS += -DRELEASE_WITHOUT_OPTIMIZATIONS
endif

ifeq (,$(filter %-doc,$(shell dh_listpackages)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
else ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=ON
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Debug
else
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Release
	CPPFLAGS += -DNDEBUG -DG_DISABLE_CAST_CHECKS
endif

# Disable the bubblewrap sandbox if libseccomp-dev is not available
ifeq ($(shell pkg-config --exists libseccomp && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), xdg-dbus-proxy"
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
endif

# Lower max parallel jobs on some of Ubuntu's builders
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
	EXTRA_DH_ARGUMENTS += --max-parallel=2
endif
endif

%:
	dh $@ --buildsystem=cmake+ninja $(EXTRA_DH_ARGUMENTS)

override_dh_gencontrol:
	dh_gencontrol -- $(DH_GENCONTROL_ARGS)

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CMAKE_ARGUMENTS)

override_dh_auto_clean: debian/control
	dh_auto_clean
	find Source Tools -type f -name "*.pyc" -exec rm {} \;
	find Source Tools -depth -type d -name __pycache__ -exec rmdir {} \;

# Create dummy doc directories in case the "nodoc" build option is set.
override_dh_install-indep:
	mkdir -p debian/tmp/usr/share/doc/wpe-webkit-2.0
	touch debian/tmp/usr/share/doc/wpe-webkit-2.0/index.html
	mkdir -p debian/tmp/usr/share/doc/wpe-web-process-extension-2.0
	touch debian/tmp/usr/share/doc/wpe-web-process-extension-2.0/index.html
	mkdir -p debian/tmp/usr/share/doc/wpe-javascriptcore-2.0
	touch debian/tmp/usr/share/doc/wpe-javascriptcore-2.0/index.html
	dh_install -i
	jdupes -rl debian/libwpewebkit-doc/usr

override_dh_shlibdeps:
	dh_shlibdeps -XMiniBrowser

override_dh_builddeb:
	DEB_BUILD_OPTIONS="$(filter-out parallel=%,$(DEB_BUILD_OPTIONS))" \
		dh_builddeb

override_dh_auto_test:
